### Method

# Gdk ContentFormatsBuilder free_to_formats

#### Declaration [src]

    GdkContentFormats*
    gdk_content_formats_builder_free_to_formats (
      GdkContentFormatsBuilder* builder
    )

#### Description [src]

Creates a new `GdkContentFormats` from the current state of the given `builder`, and frees the `builder` instance.

This method is not directly available to language bindings.

#### Return value

Type: `GdkContentFormats`

The newly created `GdkContentFormats` with all the formats added to `builder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.